For AI agents: a documentation index is available at the root level at /llms.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Org must have a Tenant entity. User must have authorization role with TENANT_ADMIN suffix.
Subnets configure VPCs whose networkVirtualizationType is ETHERNET_VIRTUALIZER and support IPv4 only. FNN VPCs use VPC Prefixes. ipv4BlockId must identify a Ready, tenant-allocated IPv4 IP block.
Authentication
AuthorizationBearer
export JWT_BEARER_TOKEN="<jwt-bearer-token>"
# Example org name: "acme-inc
export ORG_NAME=<org-name>
# Use the JWT bearer token in your API request auth header:
curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://nico-rest-api.nico.svc.cluster.local/v2/org/$ORG_NAME/nico/user/current
Path parameters
orgstringRequired
Name of the Org
Request
This endpoint expects an object.
namestringRequired2-256 characters
Name of the Subnet
vpcIdstringRequiredformat: "uuid"
ID of the Ethernet virtualizer VPC containing the Subnet
ipv4BlockIdstringRequiredformat: "uuid"
ID of the Ready, derived Tenant IPv4 Block from an Allocation
prefixLengthintegerRequired8-30
Length of the IPv4 prefix, from 8 through 30
descriptionstring or nullOptional
Description of the Subnet
Response
Created
idstringOptionalRead-onlyformat: "uuid"
Unique UUID v4 identifier for the Subnet
namestringOptional2-256 characters
Name of the Subnet
descriptionstring or nullOptional
Description of the Subnet
siteIdstringOptionalformat: "uuid"
ID of the Site containing the Subnet
vpcIdstringOptionalformat: "uuid"
ID of the VPC containing the Subnet
controllerNetworkSegmentIdstring or nullOptionalformat: "uuid"
ID of the Site Controller network segment corresponding to the Subnet
ipv4Prefixstring or nullOptionalformat: "ipv4"
The prefix that gets assigned to the subnet if ipv4 block is chosen
ipv4BlockIdstring or nullOptionalformat: "uuid"
ID of the derived Tenant IPv4 Block from an Allocation
ipv4Gatewaystring or nullOptionalformat: "ipv4"
Address of the IPv4 gateway in the Subnet
ipv6Prefixstring or nullOptionalformat: "ipv6"
Prefix of the network in CIDR notation
ipv6BlockIdstring or nullOptionalformat: "uuid"
ID of the derived Tenant IPv6 Block from an Allocation
ipv6Gatewaystring or nullOptionalformat: "ipv6"
Address of the IPv6 gateway in the Subnet
mtuintegerOptionalRead-only
Maximum Transmission Unit size in bytes. This property is system-determined and read-only.
prefixLengthintegerOptional
Max value depends on prefix length of parent IP Block
routingTypeenumOptional
Routing type of the Subnet
Allowed values:
statusenumOptional
Status of the Subnet
Allowed values:
usageStatsobjectOptional
Present when query parameter includeUsageStats=true. Prefix and IP usage data is derived by evaluating associated Ethernet interfaces. Each Interface associated with a Subnet consumes a single IP. In addition, one gateway and one broadcast IP address are reserved per Subnet.